WP3TabGroup Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP3TabGroup Class Reference

`#include <WP3TabGroup.h>`

Inheritance diagram for WP3TabGroup:

## Public Member Functions
| WP3TabGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP3Listener *listener)
Public Member Functions inherited from WP3FixedLengthGroup
| WP3FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
Protected Member Functions inherited from WP3FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
unsigned char | m_subGroup
unsigned char | m_modeType
double | m_position

## Additional Inherited Members
Static Public Member Functions inherited from WP3FixedLengthGroup
static WP3FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char const groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

WP3TabGroup::WP3TabGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID
| ) |  |

## Member Function Documentation

void WP3TabGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protectedvirtual

Implements WP3FixedLengthGroup.

void WP3TabGroup::parse | ( | WP3Listener * | listener | ) |
| virtual

Implements WP3Part.

## Member Data Documentation

unsigned char WP3TabGroup::m_modeType
| private

Referenced by _readContents().

double WP3TabGroup::m_position
| private

Referenced by _readContents(), and parse().

unsigned char WP3TabGroup::m_subGroup
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3TabGroup.h
- WP3TabGroup.cpp